### Function Macro

# GObject ADD_PRIVATE_DYNAMIC

since: 2.38

#### Declaration

    #define G_ADD_PRIVATE_DYNAMIC (
      TypeName
    )

#### Description

A convenience macro to ease adding private data to instances of a new dynamic type in the `_C_` section of G_DEFINE_DYNAMIC_TYPE_EXTENDED().

See G_ADD_PRIVATE() for details, it is similar but for static types.

Note that this macro can only be used together with the G_DEFINE_DYNAMIC_TYPE_EXTENDED macros, since it depends on variable names from that macro.

Available since: 2.38

This function is not directly available to language bindings.

#### Parameters

`TypeName`

  Type: `-`

  The name of the type in CamelCase.